# typed: strict
# frozen_string_literal: true

module Stats
  class DataPoint
    extend T::Sig

    sig { returns(Float) }
    attr_reader :x, :y

    sig { params(x: Numeric, y: Numeric).void }
    def initialize(x:, y:)
      @x = T.let(x.to_f, Float)
      @y = T.let(y.to_f, Float)
    end
  end
end
